Package: groovy.inspect.swingui

## [Groovy] Class SwingTreeNodeMaker

- groovy.inspect.swingui.SwingTreeNodeMaker

- All Implemented Interfaces and Traits:
    AstBrowserNodeMaker

      class SwingTreeNodeMaker

  Creates tree nodes for swing UI

  Authors:
    Roshan Dawrani

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `DefaultMutableTreeNode` | `makeNode(Object userObject)`
    `` | `DefaultMutableTreeNode` | `makeNodeWithProperties(Object userObject, List<List<String>> properties)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### DefaultMutableTreeNode makeNode(Object userObject)

    - #### DefaultMutableTreeNode makeNodeWithProperties(Object userObject, List<List<String>> properties)